Bug 431956

Summary: LiveCD offers "Hibernate" even though there is no swap
Product: [Fedora] Fedora Reporter: Charles R. Anderson <cra>
Component: pm-utilsAssignee: Phil Knirsch <pknirsch>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 10CC: davidz, dcantrell, opensource, rvokal
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-18 01:03:49 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235705    

Description Charles R. Anderson 2008-02-07 19:43:52 EST
Description of problem:
The LiveCD i686 image F9Alpha provides a "Hibernate" option in the
gnome-power-manager applet, even though there is no swap partition to hibernate
to.  Clicking it causes the computer to attempt to hibernate, but it just ends
up doing all the work to hibernate to no avail, since there isn't anywhere to
write out the RAM image.

Version-Release number of selected component (if applicable):
F9Alpha
gnome-power-manager-2.21.1-1.fc9

How reproducible:
always

Steps to Reproduce:
1. boot F9Alpha i686 LiveCD
2. log in as Fedora Live
3. click Power Manager icon, select Hibernate
  
Actual results:
system begins to hibernate, but never completes

Expected results:
no hibernate option for LiveCD's, because it doesn't make sense for them, and
you wouldn't want them trying to hibernate to a random swap partition they might
find on the hard disk anyway.


Additional info:
My hard drive has F8 installed in LVM, with the swap partition on an LVM LV. 
LiveCD doesn't activate LVM volume groups, so hibernate doesn't find it.
(Arguably, this is a separate bug and LiveCD should activate LVM VGs on all
attached storage).
Comment 1 Jeremy Katz 2008-02-08 09:02:20 EST
It's shown based on hal saying that the machine can hibernate, which, iirc comes
from the output of pm-is-supported --hibernate.  The script should probably be
fixed to ensure that you have a swap 
Comment 2 Till Maas 2008-02-08 15:39:57 EST
According to the hal-spec of hal in Fedora 7 power_management.can_hibernate
should be true, when hibernate support is compiled into kernel, but a successful
hibernation is not assured. Does hal use the pm-is-supported --hibernate call to
determine the value of that key or is assumed that pm-is-supported also does
some sanity checking? I forwarded the issue also to the pm-utils upstream
mailing list.
Comment 3 Bug Zapper 2008-05-14 01:04:10 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Paul W. Frields 2008-08-09 12:10:57 EDT
Does this still occur with the F10 Alpha Live image?
Comment 5 Bug Zapper 2008-11-25 21:06:18 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-11-18 07:25:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:03:49 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.